//
//  UDViewController.swift
//  UndoDefault
//
//  Created by narita on 2019/07/12.
//  Copyright © 2019 narita. All rights reserved.
//

import Cocoa

class UDViewController: NSViewController, NSTextFieldDelegate
{

    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods

    override func viewDidLoad()
    {
        super.viewDidLoad()
        
    }

    // windowでUndowManagerを作ってるのでここで、初期化
    override func viewDidAppear()
    {
        MINTLUserDefaultsControllerUndoHelper.shared.undoManager = self.undoManager
    }
    
    // MARK: - action methods

    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods

    // NSArrayConntrollerの変更がDefaultに反映されないので、手抜きの実装。
    func controlTextDidEndEditing(_ obj: Notification)
    {
        NSUserDefaultsController.shared.setValue(tableArrayController.arrangedObjects, forKeyPath: "values.LIST")
    }

    
    // MARK: - accessor methods (in pairs)

    @IBOutlet var tableArrayController: NSArrayController! = nil
    
    override var representedObject: Any?
    {
        didSet
        {
        // Update the view, if already loaded.
        }
    }

    // MARK: - Utility methods
    

}

